{title}: Get lyrics for a song

API: apiary.io:lyrics.ovh
Endpoint: /v1/{artist}/{title}
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 180ms

Description

Retrieves the lyrics for a specific song by artist and title. The API returns plain text lyrics.

Parameters (2)

artist (string, path, required)

The name of the artist or band

title (string, path, required)

The title of the song

Examples (1)

Get lyrics for a song openapi-spec
curl 'https://api.lyrics.ovh/v1/The Beatles/Yesterday'
import requests

resp = requests.get("https://api.lyrics.ovh/v1/The Beatles/Yesterday")
data = resp.json()
import zingu_apis

api = zingu_apis.api("apiary")
result = api.fetch("v1/{artist}/{title}")

for item in result:
    print(item)
const resp = await fetch("https://api.lyrics.ovh/v1/The Beatles/Yesterday");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:50:52.103521 200 180ms
2026-04-16 02:22:22.466479 200 221ms
2026-04-15 03:26:46.365753 200 205ms
2026-04-14 02:12:05.649253 200 343ms
2026-04-12 14:24:31.595528 200 1344ms
2026-04-10 00:16:04.498064 200 506ms
2026-04-09 03:39:25.608132 200 187ms
2026-04-08 07:23:16.620263 200 355ms
2026-04-07 01:48:52.615575 200 242ms
2026-04-06 06:11:04.656618 200 334ms
2026-04-05 14:07:47.258889 200 491ms
2026-04-05 00:58:27.235344 200 658ms
2026-04-04 02:00:14.061155 200 173ms
2026-04-03 12:43:29.852467 200 369ms
2026-03-30 06:00:55.809700 200 286ms